### Hierarchy

- RepositoryStrategyInterceptor

### Implements

- HttpInterceptor

## Index

### Constructors

- constructor

### Methods

- changeStrategy
- onIntercept

## Constructors

### constructor

- new RepositoryStrategyInterceptor(strategy: RepositoryStrategyType): RepositoryStrategyInterceptor

- - Defined in repository/source/http/RepositoryStrategyInterceptor.ts:7

  #### Parameters

  - ##### strategy: RepositoryStrategyType

  #### Returns RepositoryStrategyInterceptor

## Methods

### changeStrategy

- changeStrategy(strategy: RepositoryStrategyType): void

- - Defined in repository/source/http/RepositoryStrategyInterceptor.ts:13

  #### Parameters

  - ##### strategy: RepositoryStrategyType

  #### Returns void

### onIntercept

- onIntercept(cortege: InterceptorCortege): Promise<InterceptorCortege>

- Implementation of HttpInterceptor.onIntercept

  - Defined in repository/source/http/RepositoryStrategyInterceptor.ts:17

  #### Parameters

  - ##### cortege: InterceptorCortege

  #### Returns Promise<InterceptorCortege>

Generated using TypeDoc